| Irrlicht 3D Engine |

Public Member Functions
irr::gui::IGUITreeViewNode Class Reference

Node for gui tree view. More...

`#include <IGUITreeView.h>`

Inheritance diagram for irr::gui::IGUITreeViewNode:

List of all members.

## Public Member Functions

- virtual IGUITreeViewNode * addChildBack (const wchar_t *text, const wchar_t *icon=0, s32 imageIndex=-1, s32 selectedImageIndex=-1, void *data=0, IReferenceCounted *data2=0)=0
    Adds a new node behind the last child node.
- virtual IGUITreeViewNode * addChildFront (const wchar_t *text, const wchar_t *icon=0, s32 imageIndex=-1, s32 selectedImageIndex=-1, void *data=0, IReferenceCounted *data2=0)=0
    Adds a new node before the first child node.
- virtual void clearChildren ()=0
    removes all children (recursive) from this node
- _IRR_DEPRECATED_ void clearChilds ()
    removes all children (recursive) from this node
- virtual bool deleteChild (IGUITreeViewNode *child)=0
    Deletes a child node.
- virtual u32 getChildCount () const =0
    returns the child item count
- virtual void * getData () const =0
    returns the user data (void*) of this node
- virtual IReferenceCounted * getData2 () const =0
    returns the user data2 (IReferenceCounted) of this node
- virtual bool getExpanded () const =0
    Returns true if the node is expanded (children are visible).
- virtual IGUITreeViewNode * getFirstChild () const =0
    Return the first child node from this node.
- virtual const wchar_t * getIcon () const =0
    returns the icon text of the node
- virtual u32 getImageIndex () const =0
    returns the image index of the node
- virtual IGUITreeViewNode * getLastChild () const =0
    Return the last child node from this node.
- virtual s32 getLevel () const =0
    Returns the level of this node.
- virtual IGUITreeViewNode * getNextSibling () const =0
    Returns the next sibling node from this node.
- virtual IGUITreeViewNode * getNextVisible () const =0
    Returns the next visible (expanded, may be out of scrolling) node from this node.
- virtual IGUITreeView * getOwner () const =0
    returns the owner (tree view) of this node
- virtual IGUITreeViewNode * getParent () const =0
    Returns the parent node of this node.
- virtual IGUITreeViewNode * getPrevSibling () const =0
    Returns the previous sibling node from this node.
- virtual bool getSelected () const =0
    Returns true if the node is currently selected.
- virtual u32 getSelectedImageIndex () const =0
    returns the image index of the node
- virtual const wchar_t * getText () const =0
    returns the text of the node
- virtual bool hasChildren () const =0
    returns true if this node has child nodes
- _IRR_DEPRECATED_ bool hasChilds () const
    returns true if this node has child nodes
- virtual IGUITreeViewNode * insertChildAfter (IGUITreeViewNode *other, const wchar_t *text, const wchar_t *icon=0, s32 imageIndex=-1, s32 selectedImageIndex=-1, void *data=0, IReferenceCounted *data2=0)=0
    Adds a new node behind the other node.
- virtual IGUITreeViewNode * insertChildBefore (IGUITreeViewNode *other, const wchar_t *text, const wchar_t *icon=0, s32 imageIndex=-1, s32 selectedImageIndex=-1, void *data=0, IReferenceCounted *data2=0)=0
    Adds a new node before the other node.
- virtual bool isRoot () const =0
    Returns true if this node is the root node.
- virtual bool isVisible () const =0
    Returns true if this node is visible (all parents are expanded).
- virtual bool moveChildDown (IGUITreeViewNode *child)=0
    Moves a child node one position down.
- virtual bool moveChildUp (IGUITreeViewNode *child)=0
    Moves a child node one position up.
- virtual void setData (void *data)=0
    sets the user data (void*) of this node
- virtual void setData2 (IReferenceCounted *data)=0
    sets the user data2 (IReferenceCounted) of this node
- virtual void setExpanded (bool expanded)=0
    Sets if the node is expanded.
- virtual void setIcon (const wchar_t *icon)=0
    sets the icon text of the node
- virtual void setImageIndex (u32 imageIndex)=0
    sets the image index of the node
- virtual void setSelected (bool selected)=0
    Sets this node as selected.
- virtual void setSelectedImageIndex (u32 imageIndex)=0
    sets the image index of the node
- virtual void setText (const wchar_t *text)=0
    sets the text of the node

## Detailed Description

Node for gui tree view.

This element can create the following events of type EGUI_EVENT_TYPE:
  - EGET_TREEVIEW_NODE_EXPAND
  - EGET_TREEVIEW_NODE_COLLAPS
  - EGET_TREEVIEW_NODE_DESELECT
  - EGET_TREEVIEW_NODE_SELECT

Definition at line 27 of file IGUITreeView.h.

## Member Function Documentation

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::addChildBack | ( | const wchar_t * | text,
|  | const wchar_t * | icon = `0`,
|  | s32 | imageIndex = `-1`,
|  | s32 | selectedImageIndex = `-1`,
|  | void * | data = `0`,
|  | IReferenceCounted * | data2 = `0`
| ) |  | `[pure virtual]`

Adds a new node behind the last child node.

Parameters:

  text | text of the new node
  icon | icon text of the new node
  imageIndex | index of the image for the new node (-1 = none)
  selectedImageIndex | index of the selected image for the new node (-1 = same as imageIndex)
  data | user data (void*) of the new node
  data2 | user data2 (IReferenceCounted*) of the new node

Returns:
  The new node

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::addChildFront | ( | const wchar_t * | text,
|  | const wchar_t * | icon = `0`,
|  | s32 | imageIndex = `-1`,
|  | s32 | selectedImageIndex = `-1`,
|  | void * | data = `0`,
|  | IReferenceCounted * | data2 = `0`
| ) |  | `[pure virtual]`

Adds a new node before the first child node.

Parameters:

  text | text of the new node
  icon | icon text of the new node
  imageIndex | index of the image for the new node (-1 = none)
  selectedImageIndex | index of the selected image for the new node (-1 = same as imageIndex)
  data | user data (void*) of the new node
  data2 | user data2 (IReferenceCounted*) of the new node

Returns:
  The new node

virtual void irr::gui::IGUITreeViewNode::clearChildren | ( |  | ) | `[pure virtual]`

removes all children (recursive) from this node

Referenced by clearChilds().

_IRR_DEPRECATED_ void irr::gui::IGUITreeViewNode::clearChilds | ( |  | ) | `[inline]`

removes all children (recursive) from this node

Deprecated:
  Deprecated in 1.8, use clearChildren() instead. This method may be removed by Irrlicht 1.9

Definition at line 82 of file IGUITreeView.h.

References clearChildren().

virtual bool irr::gui::IGUITreeViewNode::deleteChild | ( | IGUITreeViewNode * | child | ) | `[pure virtual]`

Deletes a child node.

Returns:
  Returns true if the node was found as a child and is deleted.

virtual u32 irr::gui::IGUITreeViewNode::getChildCount | ( |  | ) | const`[pure virtual]`

returns the child item count

virtual void* irr::gui::IGUITreeViewNode::getData | ( |  | ) | const`[pure virtual]`

returns the user data (void*) of this node

virtual IReferenceCounted* irr::gui::IGUITreeViewNode::getData2 | ( |  | ) | const`[pure virtual]`

returns the user data2 (IReferenceCounted) of this node

virtual bool irr::gui::IGUITreeViewNode::getExpanded | ( |  | ) | const`[pure virtual]`

Returns true if the node is expanded (children are visible).

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::getFirstChild | ( |  | ) | const`[pure virtual]`

Return the first child node from this node.

Returns:
  The first child node or 0 if this node has no children.

virtual const wchar_t* irr::gui::IGUITreeViewNode::getIcon | ( |  | ) | const`[pure virtual]`

returns the icon text of the node

virtual u32 irr::gui::IGUITreeViewNode::getImageIndex | ( |  | ) | const`[pure virtual]`

returns the image index of the node

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::getLastChild | ( |  | ) | const`[pure virtual]`

Return the last child node from this node.

Returns:
  The last child node or 0 if this node has no children.

virtual s32 irr::gui::IGUITreeViewNode::getLevel | ( |  | ) | const`[pure virtual]`

Returns the level of this node.

The root node has level 0. Direct children of the root has level 1 ...

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::getNextSibling | ( |  | ) | const`[pure virtual]`

Returns the next sibling node from this node.

Returns:
  The next sibling node from this node or 0 if this is the last node from the parent node.

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::getNextVisible | ( |  | ) | const`[pure virtual]`

Returns the next visible (expanded, may be out of scrolling) node from this node.

Returns:
  The next visible node from this node or 0 if this is the last visible node.

virtual IGUITreeView* irr::gui::IGUITreeViewNode::getOwner | ( |  | ) | const`[pure virtual]`

returns the owner (tree view) of this node

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::getParent | ( |  | ) | const`[pure virtual]`

Returns the parent node of this node.

For the root node this will return 0.

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::getPrevSibling | ( |  | ) | const`[pure virtual]`

Returns the previous sibling node from this node.

Returns:
  The previous sibling node from this node or 0 if this is the first node from the parent node.

virtual bool irr::gui::IGUITreeViewNode::getSelected | ( |  | ) | const`[pure virtual]`

Returns true if the node is currently selected.

virtual u32 irr::gui::IGUITreeViewNode::getSelectedImageIndex | ( |  | ) | const`[pure virtual]`

returns the image index of the node

virtual const wchar_t* irr::gui::IGUITreeViewNode::getText | ( |  | ) | const`[pure virtual]`

returns the text of the node

virtual bool irr::gui::IGUITreeViewNode::hasChildren | ( |  | ) | const`[pure virtual]`

returns true if this node has child nodes

Referenced by hasChilds().

_IRR_DEPRECATED_ bool irr::gui::IGUITreeViewNode::hasChilds | ( |  | ) | const`[inline]`

returns true if this node has child nodes

Deprecated:
  Deprecated in 1.8, use hasChildren() instead. This method may be removed by Irrlicht 1.9

Definition at line 93 of file IGUITreeView.h.

References hasChildren().

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::insertChildAfter | ( | IGUITreeViewNode * | other,
|  | const wchar_t * | text,
|  | const wchar_t * | icon = `0`,
|  | s32 | imageIndex = `-1`,
|  | s32 | selectedImageIndex = `-1`,
|  | void * | data = `0`,
|  | IReferenceCounted * | data2 = `0`
| ) |  | `[pure virtual]`

Adds a new node behind the other node.

The other node has also te be a child node from this node.

Parameters:

  other | Node to insert after
  text | text of the new node
  icon | icon text of the new node
  imageIndex | index of the image for the new node (-1 = none)
  selectedImageIndex | index of the selected image for the new node (-1 = same as imageIndex)
  data | user data (void*) of the new node
  data2 | user data2 (IReferenceCounted*) of the new node

Returns:
  The new node or 0 if other is no child node from this

virtual IGUITreeViewNode* irr::gui::IGUITreeViewNode::insertChildBefore | ( | IGUITreeViewNode * | other,
|  | const wchar_t * | text,
|  | const wchar_t * | icon = `0`,
|  | s32 | imageIndex = `-1`,
|  | s32 | selectedImageIndex = `-1`,
|  | void * | data = `0`,
|  | IReferenceCounted * | data2 = `0`
| ) |  | `[pure virtual]`

Adds a new node before the other node.

The other node has also te be a child node from this node.

Parameters:

  other | Node to insert before
  text | text of the new node
  icon | icon text of the new node
  imageIndex | index of the image for the new node (-1 = none)
  selectedImageIndex | index of the selected image for the new node (-1 = same as imageIndex)
  data | user data (void*) of the new node
  data2 | user data2 (IReferenceCounted*) of the new node

Returns:
  The new node or 0 if other is no child node from this

virtual bool irr::gui::IGUITreeViewNode::isRoot | ( |  | ) | const`[pure virtual]`

Returns true if this node is the root node.

virtual bool irr::gui::IGUITreeViewNode::isVisible | ( |  | ) | const`[pure virtual]`

Returns true if this node is visible (all parents are expanded).

virtual bool irr::gui::IGUITreeViewNode::moveChildDown | ( | IGUITreeViewNode * | child | ) | `[pure virtual]`

Moves a child node one position down.

Returns:
  True if the node was found as achild node and was not already the last child.

virtual bool irr::gui::IGUITreeViewNode::moveChildUp | ( | IGUITreeViewNode * | child | ) | `[pure virtual]`

Moves a child node one position up.

Returns:
  True if the node was found as achild node and was not already the first child.

virtual void irr::gui::IGUITreeViewNode::setData | ( | void * | data | ) | `[pure virtual]`

sets the user data (void*) of this node

virtual void irr::gui::IGUITreeViewNode::setData2 | ( | IReferenceCounted * | data | ) | `[pure virtual]`

sets the user data2 (IReferenceCounted) of this node

virtual void irr::gui::IGUITreeViewNode::setExpanded | ( | bool | expanded | ) | `[pure virtual]`

Sets if the node is expanded.

virtual void irr::gui::IGUITreeViewNode::setIcon | ( | const wchar_t * | icon | ) | `[pure virtual]`

sets the icon text of the node

virtual void irr::gui::IGUITreeViewNode::setImageIndex | ( | u32 | imageIndex | ) | `[pure virtual]`

sets the image index of the node

virtual void irr::gui::IGUITreeViewNode::setSelected | ( | bool | selected | ) | `[pure virtual]`

Sets this node as selected.

virtual void irr::gui::IGUITreeViewNode::setSelectedImageIndex | ( | u32 | imageIndex | ) | `[pure virtual]`

sets the image index of the node

virtual void irr::gui::IGUITreeViewNode::setText | ( | const wchar_t * | text | ) | `[pure virtual]`

sets the text of the node

The documentation for this class was generated from the following file:

- IGUITreeView.h